Bug 1011783 - tinyproxy is build with debug version for calloc/malloc/realloc/strdup/free
tinyproxy is build with debug version for calloc/malloc/realloc/strdup/free
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tinyproxy (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 03:04 EDT by Gabriel VLASIU
Modified: 2013-11-10 01:22 EST (History)
1 user (show)

See Also:
Fixed In Version: tinyproxy-1.8.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 15:41:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel VLASIU 2013-09-25 03:04:34 EDT
Description of problem:

It does not help us at all if tinyproxy is build with debug version for calloc/malloc/realloc/strdup/free. See: src/heap.h

This is the content of /var/log/messages after starting and stopping tinyproxy:

Sep 25 09:57:32 xxxxxxx -bash: HISTORY: PID=28127 USER=root UID=0 service tinyproxy start
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:24} vector.c:60
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb030:32} log.c:145
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb060:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb080:29} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb030} log.c:153
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb0b0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb970:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb8b0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebc440:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebc4c0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebeb00:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ec10a0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ec04b0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ec82f0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ec7400:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596eca760:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ecf680:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ece9c0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ed3970:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ed75b0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ed9950:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ede6e0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ee1590:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ee4430:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ee80e0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ede1d0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596eed6f0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ed8c70:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ef0710:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f28880:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f40f40:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596facf20:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596fa95d0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f10ea0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f13f00:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f50890:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f0cee0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f12fe0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f166e0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f177d0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f1d360:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f014b0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f16c10:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596fbf640:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f233a0:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f18c30:64} conf.c:331
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {strdup: 0x7f6596f287f0:30} main.c:316
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {strdup: 0x7f6596f285f0:16} main.c:327
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {strdup: 0x7f6596f1ada0:33} main.c:329
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {strdup: 0x7f6596f1add0:33} main.c:330
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f1ae00:27} log.c:145
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f1ae30:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596f1ae50:24} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f1ae00} log.c:153
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:286
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:287
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:288
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:289
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:290
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:291
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:293
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:297
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: (nil)} conf.c:302
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597118de0:13} conf.c:594
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f65971717c0:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f659716e5a0:40} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597118de0} conf.c:853
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597118de0:14} conf.c:594
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f65971717e0:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597171800:40} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597118de0} conf.c:853
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597118de0:13} conf.c:594
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f65971718c0:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597172950:40} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597118de0} conf.c:853
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597173680:10} conf.c:594
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f65971736a0:41} log.c:145
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f65971736e0:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f65971718e0:38} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f65971736a0} log.c:153
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597189130:49} log.c:145
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597173700:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f659717cfa0:46} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597189130} log.c:153
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f659717cfe0:24} vector.c:60
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597189c80:54} log.c:145
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597189c60:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597189cc0:51} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597189c80} log.c:153
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597192b20:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597192b40:4} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597189c80:54} log.c:145
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597192b60:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597193640:51} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597189c80} log.c:153
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597193620:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597193680:4} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb0b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb970} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb8b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb0b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebc440} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb970} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebc4c0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb8b0} conf.c:359
Sep 25 09:57:32 xxxxxxx systemd[1]: PID file /run/tinyproxy/tinyproxy.pid not readable (yet?) after start.
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebeb00} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebc440} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebc4c0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebeb00} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec10a0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec10a0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec04b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec82f0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec04b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec82f0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec7400} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596eca760} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec7400} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ecf680} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596eca760} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ecf680} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ece9c0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ece9c0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed3970} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed3970} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed75b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed75b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed9950} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed9950} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ede6e0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ede6e0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ee1590} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ee1590} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ee4430} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ee4430} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ee80e0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ee80e0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ede1d0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ede1d0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596eed6f0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596eed6f0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed8c70} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed8c70} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ef0710} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f28880} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f40f40} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ef0710} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596facf20} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596fa95d0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f10ea0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f13f00} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f50890} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f0cee0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f12fe0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f166e0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f177d0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f1d360} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f014b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f16c10} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596fbf640} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f233a0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f18c30} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f28880} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f40f40} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597193c00:39} log.c:145
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597193c30:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597193c50:36} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597193c00} log.c:153
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597193ca0:38} log.c:145
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597193cd0:24} vector.c:126
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6597194b60:35} vector.c:130
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597193ca0} log.c:153
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596facf20} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596fa95d0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f10ea0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f13f00} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f50890} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f0cee0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f12fe0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f166e0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f177d0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f1d360} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f014b0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f16c10} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596fbf640} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f233a0} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f18c30} conf.c:359
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb080} vector.c:86
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb060} vector.c:87
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f1ae50} vector.c:86
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f1ae30} vector.c:87
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f65971718e0} vector.c:86
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f65971736e0} vector.c:87
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f659717cfa0} vector.c:86
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597173700} vector.c:87
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597189cc0} vector.c:86
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597189c60} vector.c:87
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597193640} vector.c:86
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597192b60} vector.c:87
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597193c50} vector.c:86
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597193c30} vector.c:87
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597194b60} vector.c:86
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6597193cd0} vector.c:87
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb010} vector.c:92
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:32 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:33 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:33 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191
Sep 25 09:57:33 xxxxxxx tinyproxy[2139]: {malloc: 0x7f6596ebb010:16} child.c:191



Sep 25 09:57:35 xxxxxxx -bash: HISTORY: PID=28127 USER=root UID=0 service tinyproxy stop
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb0b0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb970} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebb8b0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebc440} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebc4c0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ebeb00} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec10a0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec04b0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec82f0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ec7400} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596eca760} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ecf680} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ece9c0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596eed6f0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ed8c70} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596ef0710} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f28880} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f40f40} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596facf20} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596fa95d0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f10ea0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f13f00} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f50890} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f0cee0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f12fe0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f166e0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f177d0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f1d360} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f014b0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f16c10} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596fbf640} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f233a0} conf.c:359
Sep 25 09:57:35 xxxxxxx tinyproxy[2139]: {free: 0x7f6596f18c30} conf.c:359

Please add -DNDEBUG to CFLAGS.
Comment 1 Jeremy Hinegardner 2013-09-25 17:04:55 EDT
Thanks for the report. I'll get a new version built shortly.
Comment 2 Fedora Update System 2013-09-30 18:35:15 EDT
tinyproxy-1.8.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tinyproxy-1.8.3-2.fc19
Comment 3 Fedora Update System 2013-09-30 18:35:29 EDT
tinyproxy-1.8.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tinyproxy-1.8.3-2.fc20
Comment 4 Fedora Update System 2013-10-02 02:30:52 EDT
Package tinyproxy-1.8.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tinyproxy-1.8.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18067/tinyproxy-1.8.3-2.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-18 15:41:53 EDT
tinyproxy-1.8.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-10 01:22:43 EST
tinyproxy-1.8.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.